Return the number of days in a month for a given year and calendar

- « Calendar Functions

- cal_from_jd »

- PHP Manual
- Calendar Functions
- Return the number of days in a month for a given year and calendar

# cal_days_in_month

(PHP 4 >= 4.1.0, PHP 5, PHP 7, PHP 8)

cal_days_in_month — Return the number of days in a month for a given year and calendar

### Description

cal_days_in_month(int `$calendar`, int `$month`, int `$year`): int

This function will return the number of days in the `month` of `year` for the specified `calendar`.

### Parameters

`calendar`

  Calendar to use for calculation

`month`

  Month in the selected calendar

`year`

  Year in the selected calendar

### Return Values

The length in days of the selected month in the given calendar

### Examples

Example #1 cal_days_in_month() example

    <?php
    $number = cal_days_in_month(CAL_GREGORIAN, 8, 2003); // 31
    echo "There were {$number} days in August 2003";
    ?>